# List Orchestration Activities by Process Identifier

Retrieve a paginated list of orchestration activities for a specific process identifier

Endpoint: GET /rmg/api/orchestration/activity/processIdentifier/{identifier}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `identifier` (string, required)
    The process identifier

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `phaseIdentifier` (string)
    Optional phase identifier to filter activities

  - `cursor` (string)
    Cursor Based Pagination

  - `limit` (number)
    The number of records expected

## Response 200 fields (application/json):

  - `activities` (array, required)

  - `activities.identifier` (string, required)
    Identifier of the activity

  - `activities.yaml` (string, required)
    YAML configuration of the activity

  - `activities.orgIdentifier` (string)
    Organization identifier of the activity

  - `activities.projectIdentifier` (string)
    Project identifier of the activity

  - `nextRequest` (object, required)

  - `nextRequest.cursor` (string)

  - `nextRequest.limit` (integer)

  - `last` (boolean, required)
    Whether this is the last page of results

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


